{%for menu in menus%}
    {% set url=menu.url~'/'~menu.menurol_id %}

    {% if routeMaster != url %}
        {% set url=menu.url %}
    {% endif %}

    {% if menu.hijos is not defined %}        
        <li class="{{routeMaster == url?activeclass: '' }}">
    {% else %}
        <li class="{{routeMaster == url?activeclass ~ openclass:'' }}">
    {% endif %}

    {% if menu.hijos is defined %}
        <a href="javascript:;" class="dropdown-toggle">
    {% else %}
        <a href="{{ baseurl }}{{ menu.url }}/{{menu.menurol_id}}">
    {% endif %}

    <i class="menu-icon {{ ('fa' in menu.icono) ? 'fa ' ~ menu.icono : menu.icono }}"></i>

    <span class="menu-text">{{ menu.titulo }}</span>
    {% if menu.hijos is defined %}
        <b class="arrow fa fa-angle-down"></b>
    {% endif %}

    </a>

    {% if menu.hijos is defined %}
        <ul class="submenu">
            {% include "CoreSeguridadBundle::menu.html.twig" with { 'menus': menu.hijos } %}
        </ul>
    {% endif %}
    </li>
{% endfor %}